1. Conversion
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
        POST
      • Barcode to SKU
        POST
      • ASIN to Barcode
        POST
      • SKU to Barcode
        POST
      • Barcode to ASIN
        POST
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Conversion

Barcode to SKU

POST
/v1/tools/convert/barcode-to-sku

Request

Header Params

Body Params application/json

Example
{
  "data": [
    "9349520733755",
    "648093563899",
    "1234567890123", // this will return null
    "648093561147",
    "648093562182",
    "i_am_a_invalid_barcode"  // this will trigger a validation error
  ],
  "config": {
    "merchant": {
      "name": "walmart"
    }
  }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/tools/convert/barcode-to-sku' \
--header 'Accept-Encoding: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "data": [
    "9349520733755",
    "648093563899",
    "1234567890123", // this will return null
    "648093561147",
    "648093562182",
    "i_am_a_invalid_barcode"  // this will trigger a validation error
  ],
  "config": {
    "merchant": {
      "name": "walmart"
    }
  }
}'

Responses

🟢200Success
application/json
Body

Example
{"meta":{"from":"url","to":"barcode","from_total":2,"to_total":2,"trace_id":"0192ba3f-3602-7382-8af8-6547a0e7a3de"},"data":{"https://www.cabelas.com/shop/en/jbl-by-harman-charge-5-waterproof-speaker-with-partyboost":"50036380232","https://www.abt.com/JBL-Charge-5-Black-Portable-Waterproof-Speaker-With-Powerbank-JBLCHARGE5BLKAM/p/159497.html":"50036380218"}}
🟠429Rate Limit Exceeded
🟠422Parameter Error
Modified at 2025-02-27 15:46:50
Previous
URL to Barcode
Next
ASIN to Barcode